# getConstructorBySignature abstract method

Constructor? getConstructorBySignature(

1. List<Class> paramTypes

)

Gets a constructor by its parameter types.

Parameters:

- `paramTypes`: List of parameter types in exact order

Returns:

- The exact constructor match if found
- `null` if no matching signature exists

Example:

    class Converter {
      String convert(int value) => value.toString();
      String convert(double value) => value.toString();
    }

    final constructor = Class.forType<Converter>()
      .getConstructorBySignature([Class.forType<int>()]);

## Implementation

    Constructor? getConstructorBySignature(List<Class> paramTypes);